---
schema_version: "1"
id: 250cfbf0b78a83730b5d3abcbb87b5e9f95cf89ae9117af4a82a849c7d352458
title: Get Standard Invocable Actions
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/resources/resources-actions-invocable-standard-get.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/resources-actions-invocable-standard-get.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: c567641c2cf3e1e75f3488223dacedc6d7d27e97dcd2a0f05142561d09934480
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Get Standard Invocable Actions

Gets the list of standard invocable actions that are provided by Salesforce. Some actions require special access. This resource is available in REST API version 32.0 and later.

For Salesforce Omnichannel Inventory and Salesforce Order Management, you can also call the corresponding Connect REST API endpoints or Apex ConnectApi methods. For more information, see [Salesforce Omnichannel Inventory Resources](https://developer.salesforce.com/docs/atlas.en-us.chatterapi.meta/chatterapi/connect_resources_omnichannel_inventory_resources.htm) and [Salesforce Order Management Resources](https://developer.salesforce.com/docs/atlas.en-us.chatterapi.meta/chatterapi/connect_resources_order_management_resources.htm) in the *Connect REST API Developer Guide*, and [ConnectApi Namespace](https://developer.salesforce.com/docs/atlas.en-us.apexcode.meta/apexref/apex_classes_connect_api.htm) in the *Apex Reference Guide*.

The Post to Chatter action supports the following features using a special format in the body post. For example, the string `Hi @[005000000000001], check out #[some_topic]` is stored appropriately as `Hi @Joe, check out #some_topic` where “@Joe” and “#some_topic” are links to the user and topic, respectively.

-   @mentions using `@[<id>]`
-   Topic links using `#[<topicString>]`

For more information about actions, see the *Actions Developer Guide*.

## Syntax

## URI

`/services/data/vXX.X/actions/standard`

## Formats

JSON, XML

## HTTP Methods

GET

## Authentication

`Authorization: Bearer token`

## Request parameters

None required

## Example

Example Request

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/actions/standard -H "Authorization: Bearer token"
```

Example Response Body

```nolang
{
  "actions" : [ {
    "label" : "Post to Chatter",
    "name" : "chatterPost",
    "type" : "CHATTERPOST",
    "url" : "/services/data/v68.0/actions/standard/chatterPost"
  }, {
    "label" : "Enable Folder Support for a Content Workspace (Library)",
    "name" : "contentWorkspaceEnableFolders",
    "type" : "CONTENTWORKSPACE_ENABLE_FOLDERS",
    "url" : "/services/data/v68.0/actions/standard/contentWorkspaceEnableFolders"
  }, {
    "label" : "Send Email",
    "name" : "emailSimple",
    "type" : "EMAILSIMPLE",
    "url" : "/services/data/v68.0/actions/standard/emailSimple"
  }, {
    "label" : "Submit for Approval",
    "name" : "submit",
    "type" : "SUBMITAPPROVAL",
    "url" : "/services/data/v68.0/actions/standard/submit"
  }, {
    "label" : "Deactivate Session-Based Permission Set",
    "name" : "deactivateSessionPermSet",
    "type" : "DEACTIVATE_SESSION_PERM_SET",
    "url" : "/services/data/v68.0/actions/standard/deactivateSessionPermSet"
  }, {
    "label" : "Activate Session-Based Permission Set",
    "name" : "activateSessionPermSet",
    "type" : "ACTIVATE_SESSION_PERM_SET",
    "url" : "/services/data/v68.0/actions/standard/activateSessionPermSet"
  }, {
    "label" : "Choose Price Book",
    "name" : "choosePricebook",
    "type" : "CHOOSE_PRICEBOOK",
    "url" : "/services/data/v68.0/actions/standard/choosePricebook"
  }, {
    "label" : "Routing Address Verification",
    "name" : "routingAddressVerification",
    "type" : "ROUTING_ADDRESS_VERIFICATION",
    "url" : "/services/data/v68.0/actions/standard/routingAddressVerification"
  }, {
    "label" : "Create Customer Contact Request",
    "name" : "contactRequestAction",
    "type" : "CONTACT_REQUEST_ACTION",
    "url" : "/services/data/v68.0/actions/standard/contactRequestAction"
  }, {
    "label" : "Publish Managed Content Release",
    "name" : "managedContentReleasePublish",
    "type" : "MANAGED_CONTENT_RELEASE_PUBLISH",
    "url" : "/services/data/v68.0/actions/standard/managedContentReleasePublish"
  } ]
}
```

